Bug 1841515 - cssh argument processing error
Summary: cssh argument processing error
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: clusterssh
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Filipe Rosset
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-29 11:06 UTC by Chuck Murnane
Modified: 2021-05-27 11:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-25 17:42:07 UTC
Type: Bug


Attachments (Terms of Use)

Description Chuck Murnane 2020-05-29 11:06:07 UTC
Description of problem:
cssh localhost opens a terminal session that has the string "
-x -o ConnectTimeout=10localhost". Note the missing space between 10 and localhost.
Version-Release number of selected component (if applicable):
clusterssh version 4.15

How reproducible:
always

Steps to Reproduce:
1.cssh localhost
2.
3.

Actual results:
terminal window opens, but is unable to process the above improperly formatted argument string

Expected results:
properly formatted argument string that allows terminal window to open

Additional info:
The "-x -o ConnectTimeout=10" string comes from the ssh_args entry of the $HOME/.clusterssh/config file; the "localhost" string comes from the cssh command line. Apparently, version 4.15 introduces an error in merging arguments passed to the terminal window program.
Note: the cssh --options command line argument can be used to pass the "-x -o ConnectTimeout=10" string to the terminal window program properly, i.e., with a space following, so that allows a work around for use of cssh:
cssh --options '-x -o ConnectTimeout=10' localhost
operates properly.

Comment 1 Fedora Program Management 2021-04-29 17:03:24 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2021-05-25 17:42:07 UTC
Fedora 32 changed to end-of-life (EOL) status on 2021-05-25. Fedora 32 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 Chuck Murnane 2021-05-27 11:47:39 UTC
The problem no longer happens with clusterssh-4.16-2.fc34.


Note You need to log in before you can comment on or make changes to this bug.